
# Called whenever the player transitions away from a plot

# Clear player's inventory
clear @a

# Clear any player effects
effect @a clear

# Kill all entities that aren't tagged to not be killed
tag @a add NOKILL
kill @e[tag=!NOKILL]
execute @p ~ ~ ~ kill @c

# Reset codebuilder URL
codebuilder reset @a

# Put up blindness+invisibility loading screen
effect @p blindness 3 1 true
effect @p invisibility 3 1 true
title @p times 10 40 10
titleraw @p title { "rawtext": [ { "translate" : "title.loading" } ] }

# Reset NOVICE plot, if it's the plot the player is on
execute @e[type=minecraft:npc,tag=CLRNOV] ~ ~ ~ function novice/clearplot

# Reset INTERMEDIATE plot, if it's the plot the player is on
execute @e[type=minecraft:npc,tag=CLRINT] ~ ~ ~ function intermediate/clearplot

# Reset EXPERT plot, if it's the plot the player is on
execute @e[type=minecraft:npc,tag=CLREXP] ~ ~ ~ function expert/clearplot

# Remove clear tags from 'go back' NPC
tag @e[type=minecraft:npc,tag=NPCBACK] remove CLRNOV
tag @e[type=minecraft:npc,tag=NPCBACK] remove CLRINT
tag @e[type=minecraft:npc,tag=NPCBACK] remove CLREXP

# Remove initialization tags from the agent
execute @p ~ ~ ~ tag @c remove TPNOV
execute @p ~ ~ ~ tag @c remove TPINT
execute @p ~ ~ ~ tag @c remove TPEXP
execute @p ~ ~ ~ tag @c remove TPAPP